Anonymous Login
2019-02-21 11:43 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001392v3.1 ReleaseProjectspublic2014-01-25 00:33
Reportersimonnzg 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001392: On project creation the landing page is the project list not the newly-created project
DescriptionI really can't be sure if this is a new-ish happening, or whether this is what web2project has always done, but, we have close to 18,000 projects on our database and we're coming up with issues that perhaps those with only a few projects may not appreciate. This is one of those problems, I think.

When you have a small number of projects, it is no problem that the next page loaded after creating a project is the list of projects, but the default sort is not by date created and the newly-created project is buried waaaay down the list somewhere. It's annoying my users, hence the "Major" classification, that they then have to go digging for the project they just created.

What they would prefer is for the user to be returned to the project they have just created rather than the projects list. However, being pragmatic about it, it may be desirable, when creating multiple projects to not be returned to the one just created, so a suitable alternative would be for the default list of projects to be sorted by project ID, and listing the most recent first?
Additional InformationThe workaround we have adopted is to remember to tick the "E-mail Creator" box when making the project and then wait a few seconds/minutes for the e-mail to arrive. Not ideal, they grumble, but it's better than the alternative.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003024

simonnzg (reporter)

I forgot to add: We're running 3.0 gold. No patches, nothing from Trunk.

~0003039

caseydk (administrator)

Resolved, will be included in v3.1:
https://github.com/web2project/web2project/commit/8850d896deb2bed1eb4fe8b8e42a5e6f36cba222

~0003199

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-11-15 11:15 simonnzg New Issue
2013-11-15 11:16 simonnzg Note Added: 0003024
2013-11-21 15:57 caseydk Project v3.0 Release => v3.1 Release
2013-11-21 15:57 caseydk Note Added: 0003039
2013-11-21 15:57 caseydk Status new => resolved
2013-11-21 15:57 caseydk Resolution open => fixed
2013-11-21 15:57 caseydk Assigned To => caseydk
2014-01-21 17:41 caseydk Note Added: 0003199
2014-01-21 17:41 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:33 caseydk Category General => Projects
+Issue History